/*==============================================
	Graphs literature to prod and inequalities
===============================================*/


* Create a file with only the mean flows
use meta_reall, clear
gen cot = 1
collapse (mean) jc jd gross net excess c_n (count) cot if sep_hir==0  ,by(c_code year)

save mini_meta, replace

use gdp , clear
merge 1:1 c_code year using gini_new	
drop _merge

merge 1:m c_code year using mini_meta 
drop _merge

egen aux = min(c_n), by(c_code)
replace c_n = aux if c_n==.
drop if c_n ==.
xtset c_n year


foreach lhs in prod gini {

matrix `lhs' = J(11,7,-99)

local v = 0
foreach var in jc jd  {
local ++v
forvalues i = 1/11{
local j = `i' -1


reg f`j'.`lhs' `var' i.year i.c_n if year>1989 [fw=cot] , level(90) 
matrix b = r(table)

matrix `lhs'[`i',1] = `j'
matrix `lhs'[`i',`v'*3-1]   = b[1,1]
matrix `lhs'[`i',`v'*3] 	= b[5,1]
matrix `lhs'[`i',`v'*3+1] 	= b[6,1]

}
}
}
 
 
 * Figure 1 and 2
clear
 
svmat prod, n(c)
local c =0
foreach n in  T jc lowjc upjc jd lowjd upjd {
local ++c
ren c`c' `n'
}

twoway (line jc T, sort lcolor(gs2)) (line lowjc T, sort lcolor(gs6) lwidth(thin) lpattern(dash)) ///
	   (line upjc T, sort lcolor(gs6) lwidth(thin) lpattern(dash)), ///
	    xtitle("Time") ytitle("Coefficient") title("Job creation", color(black)) legend(off)  ///
	    graphregion(fcolor(gs15) lcolor(gs15)) /// 
		yline(0, lcolor(black)) ///
		name(prod_jc, replace)  

twoway (line jd T, sort lcolor(gs2)) (line lowjd T, sort lcolor(gs6) lwidth(thin) lpattern(dash)) ///
	   (line upjd T, sort lcolor(gs6) lwidth(thin) lpattern(dash)), ///
	    xtitle("Time") ytitle("Coefficient") title("Job destruction", color(black)) legend(off)  ///
	    graphregion(fcolor(gs15) lcolor(gs15)) ///
		yline(0, lcolor(black)) ///
		name(prod_jd, replace)    
		
		
 * Figure 3 and 4
clear
 
svmat gini, n(c)
local c =0
foreach n in  T jc lowjc upjc jd lowjd upjd {
local ++c
ren c`c' `n'
}

twoway (line jc T, sort lcolor(gs2)) (line lowjc T, sort lcolor(gs6) lwidth(thin) lpattern(dash)) ///
	   (line upjc T, sort lcolor(gs6) lwidth(thin) lpattern(dash)), ///
	    xtitle("Time") ytitle("Coefficient") title("Job creation", color(black)) legend(off)  ///
	    graphregion(fcolor(gs15) lcolor(gs15)) /// 
		yline(0, lcolor(black)) ///
		name(gini_jc, replace)  

twoway (line jd T, sort lcolor(gs2)) (line lowjd T, sort lcolor(gs6) lwidth(thin) lpattern(dash)) ///
	   (line upjd T, sort lcolor(gs6) lwidth(thin) lpattern(dash)), ///
	    xtitle("Time") ytitle("Coefficient") title("Job destruction", color(black)) legend(off)  ///
	    graphregion(fcolor(gs15) lcolor(gs15)) ///
		yline(0, lcolor(black)) ///
		name(gini_jd, replace)    
