/*=======================================================
		Replication file: main article
========================================================*/

/* this file replicates the findings from 

Svejnar, Tyrowicz and van der Velde (2016), Effects of labor reallocation on 
productivity and inequality - insights from studies on transition, Journal of
Economic Surveys, forthcoming, doi: 10.1111/joes.12167


It requires to have the following files in the same folder
meta_reall.dta

*/

quiet cret li
cd "`r(cmd)'"
use meta_reall, clear

			****************************
			**	 Table 2, left panel  **
			****************************
matrix flows_net = J(11,5,.)
local i =0
foreach var in jc jd{

sum `var' if   sep_hir ==0
matrix flows_net[1,2+2*`i'] = r(mean)
matrix flows_net[1,3+2*`i'] = r(sd)

local ++i
}




levelsof c_code if sep_hir==0, local(c)
local i =0
foreach cc in `c'{
local ++i
matrix flows_net[1+`i',1] = `i'
local j =0
foreach var in jc jd{


sum `var' if c_code=="`cc'" & sep_hir ==0
matrix flows_net[1+`i',2+2*`j'] = r(mean)
matrix flows_net[1+`i',3+2*`j'] = r(sd)



local ++j
}
local names `names' `cc'
}

global name  Overall `names' Anova

local i =0
foreach var in jc jd{
di "`var'"
anova `var' c_n if sep_hir==0
matrix flows_net[11,2+2*`i']=  e(F)
local df1 	`e(df_m)'
local df2 	`e(df_r)'
local f		`e(F)'

matrix flows_net[11,3+2*`i']=  	Ftail(`df1',`df2',`f') 

local ++i
}
 

matrix colnames flows_net = c_n jc_m jc_sd jd_m jd_sd 
matrix rownames flows_net = $name
matrix l flows_net, format(%9.2f)


			****************************
			**	 Table 2, right panel  **
			****************************

matrix flows_gross = J(6,9,-99)
local i =0
foreach var in jc jd{
sum `var' if   sep_hir ==1
matrix flows_gross[1,2+2*`i'] = r(mean)
matrix flows_gross[1,3+2*`i'] = r(sd)
local ++i
}




levelsof c_code if sep_hir==1, local(c)
local i =0
foreach cc in `c'{
local ++i
matrix flows_gross[1+`i',1] = `i'
local j =0
foreach var in jc jd{

sum `var' if c_code=="`cc'" & sep_hir ==1
matrix flows_gross[1+`i',2+2*`j'] = r(mean)
matrix flows_gross[1+`i',3+2*`j'] = r(sd)
local ++j

}
local names2 `names2' `cc'
}

di "`names2'"
global name2 Total `names2' Anova

local i =0
foreach var in jc jd{

di "`var'"
anova `var' c_n if sep_hir==1
matrix flows_gross[6,2+2*`i']=  e(F)
matrix flows_gross[6,3+2*`i']=  	e(r2)

local ++i
}



 
di "`names2'"

matrix colnames flows_gross =c_n jc_m jc_sd jd_m jd_sd 
matrix rownames flows_gross = $name2
 
matrix l flows_gross, format(%9.2f)



