 /*=====================================
			Table E.3
 =======================================*/
 

// UPPER PART OF THE TABLE  : TRANSMONNEE

* Columns 1-5
use gini_vlong, clear

keep if transmon==1& all_covered==1

collapse (mean) gini ,by(c_code year)
merge 1:m c_code year using meta_reall
set linesize 180
replace gap = 1 if gap ==. & number ==104
tab year c_code if _merge==2 


global restrict "year<2001 &_merge==3"
global restb	"year<2001"
global xvars 	"only_pub only_man only_large only_small sep_hir"
global boots  	"vce(boot, r(1000))"	
global x 		"i.c_n  i.year "

foreach rhs in jc jd  {
		reg gini `rhs' $x  if $restrict, $boots
		est store `rhs'_all

		reg gini `rhs' $x  if $restrict & sep_hir ==0, $boots
		est store `rhs'_nos
	 
		reg gini `rhs' $x  if $restrict & sep_hir ==1, $boots
		est store `rhs'_hir
}

foreach rhs in jc jd {

reg `rhs' i.number $xvars i.gap if $restb  , $boots
estimates store `rhs'_res
capture drop `rhs'_res
 predict `rhs'_res if e(sample) , residuals
 
reg gini `rhs'_res  if $restrict & _merge==3, $boots
est store `rhs'_4


reg gini `rhs'_res $x if $restrict & _merge==3, $boots
est store `rhs'_5
 }


local format "b(%9.2f) se(%9.2f) stat(N r2)"
est table  jc_all  jc_nos  jc_hir jc_4 jc_5, `format' keep(jc jc_res)
est table  jd_all  jd_nos  jd_hir jd_4 jd_5, `format' keep(jd jd_res)
	

	
* Columns 6-10	

use gini_vlong, clear

keep if transmon==1& all_covered==1

collapse (mean) gini ,by(c_code year)
merge 1:m c_code year using flows_lits


set linesize 80

tab year c_code if _merge==2 
egen aux = min(c_n), by(c_code)
replace c_n = aux if c_n==.


// same countries in NET
gen same_cy = 0
replace same_cy = 1 if c_code=="BGR" & year>1989 & year<1998
replace same_cy = 1 if c_code=="EST" & year>1989 & year<2000
replace same_cy = 1 if c_code=="HUN" & year>1989 & year<1994
replace same_cy = 1 if c_code=="POL" & (year==1990 | (year>1993 & year<2000))
replace same_cy = 1 if c_code=="ROM" & ((year>1989 & year<1994) | (year>1994 & year<1998))
replace same_cy = 1 if c_code=="RUS" & year>1989 & year<1999
replace same_cy = 1 if c_code=="SVN" & year>1989 & year<2000
replace same_cy = 1 if c_code=="UKR" & year>1991 & year<2000

egen same_c  =max(same_cy), by(c_code)

// same countries in GROSS
gen sep_hir = 0 
replace sep_hir=1 if c_code=="CZE" & year >1993 & year <1999
replace sep_hir=1 if c_code=="EST" & year >1989 & year <1995
replace sep_hir=1 if c_code=="POL" & year == 1994
replace sep_hir=1 if c_code=="RUS" & year >1990 & year <1999

egen sep_hir2=max(sep_hir), by(c_code)


gen all =1

global restrict "year>1990 & year<2000"
global boots  	"vce(boot, r(1000))"	
global x 		"i.c_n  i.year "

foreach rhs in hire sep {
		reg gini `rhs'  if $restrict & _merge==3 & sep_hir==1, $boots
		est store `rhs'_6
		
		reg gini `rhs'  if $restrict & _merge==3 & sep_hir2==1, $boots
		est store `rhs'_7
		
		reg gini `rhs'  if $restrict & _merge==3 & same_cy==1, $boots
		est store `rhs'_8
		
		reg gini `rhs'  if $restrict & _merge==3 & same_c==1, $boots
		est store `rhs'_9
		
		reg gini `rhs'   if $restrict & _merge==3 & all==1, $boots
		est store `rhs'_10
		}



local format "b(%9.2f) se(%9.4f) stat(N r2)"
est table  hire_6  hire_7  hire_8 hire_9 hire_10, `format' keep(hire)
est table  sep_6  sep_7  sep_8 sep_9 sep_10, `format' keep(sep )	

***************************************************************************
//  LOWER PART OF THE TABLE  : WDI - World Bank
	
clear

* Columns 1-5
use gini_vlong, clear

keep if wbank==1& all_covered==1

collapse (mean) gini ,by(c_code year)
merge 1:m c_code year using meta_reall
replace gap = 1 if gap ==. & number ==104	


global restrict "year<2001 &_merge==3"
global restb	"year<2001"
global xvars 	"only_pub only_man only_large only_small sep_hir"
global boots  	"vce(boot, r(1000))"	
global x 		"i.c_n  i.year "

foreach rhs in jc jd  {
		reg gini `rhs' $x  if $restrict, $boots
		est store `rhs'_all

		reg gini `rhs' $x  if $restrict & sep_hir ==0, $boots
		est store `rhs'_nos
	 
		reg gini `rhs' $x  if $restrict & sep_hir ==1, $boots
		est store `rhs'_hir
}

foreach rhs in jc jd {

reg `rhs' i.number $xvars i.gap if $restb  
estimates store `rhs'_res
capture drop `rhs'_res
 predict `rhs'_res if e(sample) , residuals
 
reg gini `rhs'_res  if $restrict & _merge==3 
est store `rhs'_5


reg gini `rhs'_res $x if $restrict & _merge==3 
est store `rhs'_6
 }


local format "b(%9.2f) se(%9.2f) stat(N r2)"
est table  jc_all  jc_nos  jc_hir jc_5 jc_6, `format' keep(jc jc_res)
est table  jd_all  jd_nos  jd_hir jd_5 jd_6, `format' keep(jd jd_res)	


* Columns 6-10
use gini_vlong, clear

keep if wbank==1& all_covered==1

collapse (mean) gini ,by(c_code year)
merge 1:m c_code year using flows_lits


tab year c_code if _merge==3

egen aux = min(c_n), by(c_code)
replace c_n = aux if c_n==.

// same countries in NET
gen same_cy = 0
replace same_cy = 1 if c_code=="BGR" & year>1989 & year<1998
replace same_cy = 1 if c_code=="EST" & year>1989 & year<2000
replace same_cy = 1 if c_code=="HUN" & year>1989 & year<1994
replace same_cy = 1 if c_code=="POL" & (year==1990 | (year>1993 & year<2000))
replace same_cy = 1 if c_code=="ROM" & ((year>1989 & year<1994) | (year>1994 & year<1998))
replace same_cy = 1 if c_code=="RUS" & year>1989 & year<1999
replace same_cy = 1 if c_code=="SVN" & year>1989 & year<2000
replace same_cy = 1 if c_code=="UKR" & year>1991 & year<2000

egen same_c  =max(same_cy), by(c_code)

// same coutnries in GROSS
gen sep_hir = 0 
replace sep_hir=1 if c_code=="CZE" & year >1993 & year <1999
replace sep_hir=1 if c_code=="EST" & year >1989 & year <1995
replace sep_hir=1 if c_code=="POL" & year == 1994
replace sep_hir=1 if c_code=="RUS" & year >1990 & year <1999

egen sep_hir2=max(sep_hir), by(c_code)


gen all =1

global restrict "year>1990 & year<2000"
global boots  	"vce(boot, r(1000))"	
global x 		"i.c_n  i.year "

foreach rhs in hire sep {
		reg gini `rhs'  if $restrict & _merge==3 & sep_hir==1, $boots
		est store `rhs'_6
		
		reg gini `rhs'  if $restrict & _merge==3 & sep_hir2==1, $boots
		est store `rhs'_7
		
		reg gini `rhs'  if $restrict & _merge==3 & same_cy==1, $boots
		est store `rhs'_8
		
		reg gini `rhs'  if $restrict & _merge==3 & same_c==1, $boots
		est store `rhs'_9
		
		reg gini `rhs'   if $restrict & _merge==3 & all==1, $boots
		est store `rhs'_10
		}



local format "b(%9.2f) se(%9.2f) stat(N r2)"
 est table  hire_6  hire_7  hire_8 hire_9 hire_10, `format' keep(hire)
est table  sep_6  sep_7  sep_8 sep_9 sep_10, `format' keep(sep )	

		

